- Qt 6.12
- Qt Widgets
- C++ Classes
- QWidget
- Qt 6.12.0 Reference Documentation

# Obsolete Members for QWidget

The following members of class QWidget are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated)` windowIconText : QString

## Public Functions

`(deprecated)` bool | isTopLevel() const
`(deprecated)` void | setWindowIconText(const QString &)
`(deprecated)` QWidget * | topLevelWidget() const
`(deprecated)` QString | windowIconText() const

## Signals

`(deprecated)` void | windowIconTextChanged(const QString &iconText)

## Property Documentation

### `[deprecated]` windowIconText : QString

This enumeration is deprecated. We strongly advise against using it in new code.

This property holds the text to be displayed on the icon of a minimized window

This property only makes sense for windows. If no icon text has been set, this accessor returns an empty string. It is only implemented on the X11 platform, and only certain window managers use this window property.

This property is deprecated.

Access functions:

QString | windowIconText() const
void | setWindowIconText(const QString &)

Notifier signal:

void | windowIconTextChanged(const QString &iconText)

See also windowIcon and windowTitle.

## Member Function Documentation

### `[deprecated]` bool QWidget::isTopLevel() const

This function is deprecated. We strongly advise against using it in new code.

Use isWindow() instead.

### `[deprecated]` QWidget *QWidget::topLevelWidget() const

This function is deprecated. We strongly advise against using it in new code.

Use window() instead.

### `[signal, deprecated]` void QWidget::windowIconTextChanged(const QString &iconText)

This function is deprecated. We strongly advise against using it in new code.

This signal is emitted when the window's icon text has changed, with the new iconText as an argument.

This signal is deprecated.

Note: Notifier signal for property windowIconText.